import logger from '../logger.js'

export default function ({ frontendUrls, httpServer, serverConfig }) {
  let setup = false
  return function (req, res, next) {
    if (!setup) {
      const protocol = serverConfig.https ? 'https:' : 'http:'
      const address = httpServer.address()
      const hostname = address.address
      const port = address.port
      logger.info(`Detected dev-server on ${protocol}//${hostname}:${port}`)
      frontendUrls.unshift(new URL(`${protocol}//${hostname}:${port}`))
      setup = true
    }

    next()
  }
}
